DECLARE SUB Get.MPU.Version (v$)
DECLARE SUB SendCmd (C%)                      ' mpulib
DECLARE SUB ReadData (MI%)                    ' mpulib
DECLARE SUB SendData (l%, ad%)                ' mpulib

' Some useful variables...

Real.Time.Out.OFF = &H32     ' disable MIDI real-time output
Uart = &H3F                  ' UART Mode
Bender.ON = &H87             ' screen bender data
Send.SysEx = &HDF            ' Want to send System Exclusive Msg
Rst = &HFF                   ' system reset

' Example of using SUBs in a program.
' The String MPUVersion$ now contains
' the Version and Revision of your MPU.

Get.MPU.Version MPUVersion$

PRINT MPUVersion$

SendCmd Rst
SendCmd Uart

' When you want to send Data contained in
' a String named MidiOut$...

SendData LEN(MidiOut$), SADD(MidiOut$)


' Reset MPU and exit...

SendCmd Rst
CLS
END

SUB Get.MPU.Version (v$)
SHARED Rst, RqstVer, RqstRev
SendCmd Rst
SendCmd RqstVer
DO
ReadData MPUVer
LOOP UNTIL MPUVer <> 254
SendCmd RqstRev
DO
ReadData MPURev
LOOP UNTIL MPURev <> 254
MPUVer$ = LEFT$(HEX$(MPUVer), 1) + "." + RIGHT$(HEX$(MPUVer), 1)
MPURev$ = MID$("0ABCDEFGHIJKLMNOPQRSTUVWXYZ", MPURev + 1, 1)
v$ = "MPU Version " + MPUVer$ + " rev " + MPURev$
END SUB
